package weblogic.jms.backend;




public class InterpretJMSJDBCStoreHelper
{

 public InterpretJMSJDBCStoreHelper()
 {
 }

 /**
 public void pendingMsg(StoreEntry paramStoreEntry, String paramString)
 {
     if(paramString.equals("weblogic.jms.backend.BEXATranEntryReceive"))
     {
         Object localObject = (BEXATranEntryReceive)paramStoreEntry.getObject();
         log("Pending: " + ((BEXATranEntryReceive)localObject).toString());
         return;
     }
     if(paramString.equals("weblogic.jms.backend.BEDurableTopicMessageInfo"))
     {
         Object localObject = (BEDurableTopicMessageInfo)paramStoreEntry.getObject();
         log("Pending: " + ((BEDurableTopicMessageInfo)localObject).toString());
         return;
     }
     if(paramString.equals("weblogic.jms.backend.BEXATranEntrySend"))
     {
         Object localObject = (BEXATranEntrySend)paramStoreEntry.getObject();
         log("Pending: " + ((BEXATranEntrySend)localObject).toString());
     }
 }
**/
 private static void log(String paramString)
 {
     System.out.println(paramString);
 }
}

